// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package container

// 组件信息接口
type ComponentInformation interface {
	// 获取组件接口类型
	// 返回值:
	// 1.接口类型
	Interface() Interface
	// 获取是否是全局组件
	// 返回值:
	// 1.是否是全局组件
	IsGlobal() bool
	// 创建组件句柄
	// 参数
	// 1.当前会话上下文
	// 返回值:
	// 1.组件句柄
	// 2.错误
	BuildHandler(*SessionContext) (ComponentHandler, error)
}
